Bug 991207 - Service fedora-readonly hang indefinitely
Service fedora-readonly hang indefinitely
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
19
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 16:27 EDT by Jean-Marc Chevalier
Modified: 2014-03-16 23:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 06:20:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Marc Chevalier 2013-08-01 16:27:54 EDT
Description of problem:

When using a read-only nfs share as the root filesystem, the fedora-readonly service stalls forever at "A start job is running for Configure read-only root support".

I was able to resolve the problem to my satisfaction by commenting some lines that were not present in Fedora 18, but I want to let you know about the change in behavior after Fedora 18.

Version-Release number of selected component (if applicable):

initscripts-9.47-1.fc19.x86_64

How reproducible:


Steps to Reproduce:
1. Prepare a Fedora setup to be used as a stateless read-only root filesystem and export it with nfs:

A: Modify the variables in /etc/sysconfig/readonly-root:
READONLY=yes
TEMPORARY_STATE=yes

B: Remove all lines in /etc/fstab

2. Prepare an init ram filesystem for network boot with these commands:

yum -y install dracut-network
dracut -N initrd-fc19.img `uname -r`

3. Make the kernel and the new init ram filesystem available to the diskless client and have it boot the Fedora kernel with theses arguments (we use pxelinux):

initrd=diskless/F19/initrd-fc19.img
ip=dhcp
root=nfs:132.207.12.3:/store/diskless/F19GIGL:nolock

Actual results:
The start sequence stalls at the following message:
"A start job is running for Configure read-only root support"

Expected results:
In Fedora 17 and Fedora 18, this method would provide a Fedora startup that worked exactly as it did on the originally installed computer.


Additional info:

I was able to make it work again in Fedora 19 by commenting these lines in
/usr/lib/systemd/fedora-readonly:

# if mount | grep -q /var/lib/nfs/rpc_pipefs ; then
#        mount -t rpc_pipefs sunrpc /var/lib/nfs/rpc_pipefs && service rpcidmapd restart
# fi


So, I guess the problem might be with the restart of the rpcidmapd service.
Comment 1 Václav Pavlín 2013-08-02 06:20:03 EDT
Hi, this is fixed in version 9.48-1, so closing as RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.